Skip to main content
GET
/
examples
/
ocpp-charging-profile
Get Example Ocpp Charging Profile
curl --request GET \
  --url https://api-sandbox.axle.energy/examples/ocpp-charging-profile \
  --header 'Authorization: Bearer <token>'
{
  "connectorId": 123,
  "csChargingProfiles": {
    "chargingProfileId": 123,
    "stackLevel": 123,
    "chargingProfilePurpose": "ChargePointMaxProfile",
    "chargingProfileKind": "Absolute",
    "chargingSchedule": {
      "chargingRateUnit": "W",
      "chargingSchedulePeriod": [
        {
          "startPeriod": 123,
          "limit": 123,
          "numberPhases": 123
        }
      ],
      "duration": 123,
      "startSchedule": "2023-11-07T05:31:56Z",
      "minChargingRate": 123
    },
    "transactionId": 123,
    "recurrencyKind": "Daily",
    "validFrom": "2023-11-07T05:31:56Z",
    "validTo": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.axle.energy/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

Example OCPP charging profile

A SetChargingProfileRequest object, as defined in section 6.43 of the OCPP 1.6 documentation at https://openchargealliance.org/protocols/open-charge-point-protocol/#OCPP1.6

This is used by the central system to send charging profiles to an EV charger.

connectorId
integer
required

The connector to which the charging profile applies. If connectorId = 0, the message contains an overall limit for the Charge Point.

csChargingProfiles
Cschargingprofiles · object
required

The charging profile to be set at the Charge Point.